# Class AwtPopupHelper

java.lang.Object
org.jmol.awt.AwtPopupHelper

All Implemented Interfaces:
  `ActionListener, ItemListener, MouseListener, EventListener, PopupHelper`

public class AwtPopupHelper extends Object implements ActionListener, ItemListener, MouseListener, PopupHelper
all popup-related awt/swing class references are in this file.

## Constructor Summary

Constructors
Constructor
Description
`AwtPopupHelper(GenericPopup popup)`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
`void`
`dispose(SC popupMenu)`
`Object`
`getButtonGroup()`
`SC`
`getCheckBox(String name)`
`int`
`getItemType(SC m)`
`SC`
`getMenu(String name)`
`SC`
`getMenuItem(String name)`
`SC`
`getRadio(String name)`
`SC`
`getSwingComponent(Object component)`
`void`
`itemStateChanged(ItemEvent e)`
`void`
`menuAddButtonGroup(SC item)`
`void`
`menuClearListeners(SC c)`
Listener methods
`SC`
`menuCreatePopup(String title, Object applet)`
`void`
`menuInsertSubMenu(SC menu, SC subMenu, int index)`
`void`
`mouseClicked(MouseEvent e)`
`void`
`mouseEntered(MouseEvent e)`
`void`
`mouseExited(MouseEvent e)`
`void`
`mousePressed(MouseEvent e)`
`void`
`mouseReleased(MouseEvent e)`
`void`
`reinstateMenu(JMenuItem item, MenuElement[] path)`
Cause the menu to persist in its open state.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AwtPopupHelper

public AwtPopupHelper(GenericPopup popup)

## Method Details

### menuCreatePopup

public SC menuCreatePopup(String title, Object applet)

Specified by:
  `menuCreatePopup` in interface `PopupHelper`

### getRadio

public SC getRadio(String name)

Specified by:
  `getRadio` in interface `PopupHelper`

### getCheckBox

public SC getCheckBox(String name)

Specified by:
  `getCheckBox` in interface `PopupHelper`

### getMenu

public SC getMenu(String name)

Specified by:
  `getMenu` in interface `PopupHelper`

### getMenuItem

public SC getMenuItem(String name)

Specified by:
  `getMenuItem` in interface `PopupHelper`

### menuAddButtonGroup

public void menuAddButtonGroup(SC item)

Specified by:
  `menuAddButtonGroup` in interface `PopupHelper`

### getButtonGroup

public Object getButtonGroup()

Specified by:
  `getButtonGroup` in interface `PopupHelper`

### menuInsertSubMenu

public void menuInsertSubMenu(SC menu, SC subMenu, int index)

Specified by:
  `menuInsertSubMenu` in interface `PopupHelper`

### getItemType

public int getItemType(SC m)

Specified by:
  `getItemType` in interface `PopupHelper`

### getSwingComponent

public SC getSwingComponent(Object component)

Specified by:
  `getSwingComponent` in interface `PopupHelper`

### menuClearListeners

public void menuClearListeners(SC c)
Listener methods

Specified by:
  `menuClearListeners` in interface `PopupHelper`

### itemStateChanged

public void itemStateChanged(ItemEvent e)

Specified by:
  `itemStateChanged` in interface `ItemListener`

### actionPerformed

public void actionPerformed(ActionEvent e)

Specified by:
  `actionPerformed` in interface `ActionListener`

### mouseEntered

public void mouseEntered(MouseEvent e)

Specified by:
  `mouseEntered` in interface `MouseListener`

### mouseExited

public void mouseExited(MouseEvent e)

Specified by:
  `mouseExited` in interface `MouseListener`

### mousePressed

public void mousePressed(MouseEvent e)

Specified by:
  `mousePressed` in interface `MouseListener`

### mouseReleased

public void mouseReleased(MouseEvent e)

Specified by:
  `mouseReleased` in interface `MouseListener`

### mouseClicked

public void mouseClicked(MouseEvent e)

Specified by:
  `mouseClicked` in interface `MouseListener`

### reinstateMenu

public void reinstateMenu(JMenuItem item, MenuElement[] path)
Cause the menu to persist in its open state. Path is set in the setArmed() method of the item, and it is checked in the doClick() method. Persist only if (a) somewhere in the path of names there is "Persist", and nowhere in that path is "!Persist".

Parameters:
  `item` -
  `path` -

### dispose

public void dispose(SC popupMenu)

Specified by:
  `dispose` in interface `PopupHelper`